Get one LateBoundCRS given its persistable reference string or essence structure.
Security
bearer
A unique description of a late-bound coordinate reference system (LateBoundCRS), either as persistable reference string or essence JSON.
The persistable reference string, either the essence of the LateBoundCRS serialized into a JSON string or an encoded string (version 1).
Example:"{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\
essenceobject(Late-bound CRS Essence)
Late-bound coordinate reference system, i.e. a CRS without a transformation binding to WGS 84.
Example:
{ "authCode": { "auth": "EPSG", "code": "4267" }, "name": "GCS_North_American_1927", "type": "LBC", "ver": "PE_10_3_1", "wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]" }
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-crs-catalog-service-v2/lateboundcrs
curl -i -X POST \
'https://as5.api.enterprisedata.slb.com/api/crs/catalog/v2/lateboundcrs?mode=persistable_reference' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_North_American_1927\\\",DATUM[\\\"D_North_American_1927\\\",SPHEROID[\\\"Clarke_1866\\\",6378206.4,294.9786982]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4267]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_North_American_1927\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4267\"},\"type\":\"LBC\"}",
"essence": {
"authCode": {
"auth": "EPSG",
"code": "4267"
},
"name": "GCS_North_American_1927",
"type": "LBC",
"ver": "PE_10_3_1",
"wkt": "GEOGCS[\"GCS_North_American_1927\",DATUM[\"D_North_American_1927\",SPHEROID[\"Clarke_1866\",6378206.4,294.9786982]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4267]]"
}
}'A successful response
areaOfUseobject(AreaOfUse)
The AreaOfUse class.
deprecationInfoobject(CRS Deprecation Info)
Deprecation information for a coordinate reference system.
namedReferenceobject(NamedReference)
Name and Persistable Reference (the essence converted to a JSON string).
essenceobject(Late-bound CRS Essence)
Late-bound coordinate reference system, i.e. a CRS without a transformation binding to WGS 84.
Response
{ "crstype": "string", "source": "string", "transformationReady": true, "baseCRSAuthorityCode": { "auth": "EPSG", "code": "4326" }, "aliasNames": [ "string" ], "axisUnits": [ "string" ], "numberOfAxes": 0, "description": "string", "lastModified": "string", "areaOfUse": { "id": "string", "name": "string", "description": "string", "lastModified": "string", "namedReference": { … }, "essence": { … } }, "deprecationInfo": { "deprecationState": "string", "remarks": "string", "supersededByCRS": { … } }, "namedReference": { "name": "string", "persistableReference": "string" }, "essence": { "type": "LBC", "name": "GCS_WGS_1984", "ver": "PE_10_3_1", "wkt": "GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137.0,298.257223563]],PRIMEM[\"Greenwich\",0.0],UNIT[\"Degree\",0.0174532925199433],AUTHORITY[\"EPSG\",4326]]", "authCode": { … } } }